Skip to main content
GET
/
builders
/
{builderId}
/
photos
/
{photoId}
Get photo
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/photos/{photoId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "builderId": "<string>",
  "projectId": "<string>",
  "folderId": "<string>",
  "fileName": "<string>",
  "contentType": "<string>",
  "key": "<string>",
  "fileSize": "<string>",
  "description": "<string>",
  "photoTakenDate": "2023-11-07T05:31:56Z",
  "sortDate": "2023-11-07T05:31:56Z",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "imageUrl": "<string>"
}
Requires read:photos. Returns one active gallery photo attachment for the authenticated builder, including a short-lived signed imageUrl.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
photoId
string
required

Response

200 - application/json

Photo found

id
string
builderId
string | null
projectId
string | null
folderId
string | null
fileName
string
contentType
string
key
string
fileSize
string
description
string | null
photoTakenDate
string<date-time> | null
sortDate
string<date-time> | null
metadata
object
createdAt
string<date-time>
updatedAt
string<date-time>
archivedAt
string<date-time> | null
imageUrl
string<uri> | null

Short-lived signed URL for downloading the photo image.